Subject: 29.0.92; desktop session on terminal with speedbar crash

From: <[email-masked]>
Date: Tue, 18 Jul 2023 12:14:09 +0000

This crash affects 'GNU Emacs 29.0.92 (build 1, x86_64-w64-mingw32) of

2023-06-19'.

When I start emacs in Windows Terminal (OpenConsole host) with -nw with a saved desktop, Emacs loads that

session. When I start speedbar with

M-x speedbar-get-focus

Emacs crashes after very short time with a backtrace. The likely reason

is that speedbar information cannot be saved on a terminal in the

desktop file.

I didn't try out the behavior on eg. Linux.

In GNU Emacs 29.0.92 (build 1, x86_64-w64-mingw32) of 2023-06-19 built

on AVALON

Windowing system distributor 'Microsoft Corp.', version 10.0.19044

System Description: Microsoft Windows 10 Enterprise (v10.0.2009.19044.3086)

Configured using:

'configure --with-modules --without-dbus --with-native-compilation=aot

--without-compress-install --with-tree-sitter CFLAGS=-O2'

Configured features:

ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP

NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF

TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

Important settings:

  value of $LC_ALL: en_US.UTF-8

  value of $LANG: C.UTF-8

  locale-coding-system: cp1252

Major mode: Markdown

Minor modes in effect:

  company-mode: t

  adaptive-wrap-prefix-mode: t

  word-wrap-whitespace-mode: t

  flyspell-mode: t

  windmove-mode: t

  savehist-mode: t

  recentf-mode: t

  marginalia-mode: t

  global-auto-revert-mode: t

  icomplete-mode: t

  fido-mode: t

  desktop-save-mode: t

  delete-selection-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  show-paren-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  tab-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  column-number-mode: t

  line-number-mode: t

  visual-line-mode: t

  transient-mark-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

Load-path shadows:

c:/Users/HoechtlJ/WorkFolders/Documents/.emacs.d/elpa/transient-20230602.2121/transient hides c:/Users/HoechtlJ/AppData/Local/Emacs/share/emacs/29.0.92/lisp/transient

c:/Users/HoechtlJ/WorkFolders/Documents/.emacs.d/elpa/eglot-1.15/eglot hides c:/Users/HoechtlJ/AppData/Local/Emacs/share/emacs/29.0.92/lisp/progmodes/eglot

c:/Users/HoechtlJ/WorkFolders/Documents/.emacs.d/elpa/eldoc-1.14.0/eldoc hides c:/Users/HoechtlJ/AppData/Local/Emacs/share/emacs/29.0.92/lisp/emacs-lisp/eldoc

Features:

(shadow sort mail-extr emacsbug message yank-media puny dired

dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config

gnus-util text-property-search mm-decode mm-bodies mm-encode mail-parse

rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045

ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch

display-line-numbers display-fill-column-indicator yasnippet hideshow

sql view comint ansi-osc ansi-color time-date company-oddmuse

company-keywords company-etags etags fileloop generator xref project

ring company-gtags company-dabbrev-code company-dabbrev company-files

company-clang company-capf company-cmake company-semantic

company-template company-bbdb company adaptive-wrap word-wrap-mode

flyspell ispell markdown-mode edit-indirect color thingatpt noutline

outline comp comp-cstr warnings rx cl-extra help-mode icons

tango-dark-theme windmove savehist recentf tree-widget wid-edit

marginalia compat autorevert filenotify icomplete desktop frameset

delsel cus-load finder-inf adaptive-wrap-autoloads company-autoloads

csv-mode-autoloads d2-mode-autoloads edit-indirect-autoloads

eglot-autoloads eldoc-autoloads go-mode-autoloads

impatient-showdown-autoloads impatient-mode-autoloads htmlize-autoloads

magit-autoloads pcase git-commit-autoloads magit-section-autoloads

marginalia-autoloads markdown-toc-autoloads markdown-mode-autoloads

dash-autoloads minions-autoloads s-autoloads simple-httpd-autoloads

transient-autoloads visual-fill-column-autoloads vundo-autoloads

with-editor-autoloads info compat-autoloads yaml-mode-autoloads

yasnippet-autoloads package browse-url url url-proxy url-privacy

url-expand url-methods url-history url-cookie generate-lisp-file

url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq

eieio eieio-core cl-macs password-cache json subr-x map byte-opt gv

bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc iso-transl tooltip

cconv eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type

elisp-mode mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win

w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe

tabulated-list replace newcomment text-mode lisp-mode prog-mode register

page tab-bar menu-bar rfn-eshadow isearch easymenu timer select

scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors

frame minibuffer nadvice seq simple cl-generic indonesian philippine

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite emoji-zwj charscript

charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure

cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp

files window text-properties overlay sha1 md5 base64 format env

code-pages mule custom widget keymap hashtable-print-readable backquote

threads w32notify w32 lcms2 multi-tty make-network-process

native-compile emacs)

Memory information:

((conses 16 489504 25250)

(symbols 48 22448 0)

(strings 32 119311 5185)

(string-bytes 1 3206315)

(vectors 16 109788)

(vector-slots 8 2131732 118144)

(floats 8 198 401)

(intervals 56 2972 822)

(buffers 984 17))*** E-Mail body has been placed on clipboard, please paste it here! ***

Datenschutzerklärung<https://www.wko.at/service/datenschutzerklaerung.html?utm_source=signature&utm_medium=email&utm_campaign=Datenschutzerklaerung&utm_content=external_signature>